Name:           perl-YAML-Tiny
Version:        1.40
Release:        1%{?dist}
Summary:        Read/Write YAML files with as little code as possible
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/YAML-Tiny/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/YAML-Tiny-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec) >= 0.80
BuildRequires:  perl(Test::MinimumVersion)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
YAML::Tiny is a Perl class for reading and writing YAML-style files,
written with as little code as possible, reducing load time and
memory overhead.

%prep
%setup -q -n YAML-Tiny-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test AUTOMATED_TESTING=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.40-1
- auto-update to 1.40 (by cpan-spec-update 0.01)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.39-1
- auto-update to 1.39 (by cpan-spec-update 0.01)
- added a new br on perl(File::Spec) (version 0.80)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Steven Pritchard <steve@kspei.com> 1.36-1
- Update to 1.36.
- BR Test::More.

* Fri May 16 2008 Steven Pritchard <steve@kspei.com> 1.32-1
- Update to 1.32.

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.25-2
- rebuild for new perl

* Mon Jan 28 2008 Steven Pritchard <steve@kspei.com> 1.25-1
- Update to 1.25.

* Tue Dec 11 2007 Steven Pritchard <steve@kspei.com> 1.21-1
- Update to 1.21.
- Update License tag.
- BR Test::MinimumVersion.

* Thu Aug 23 2007 Steven Pritchard <steve@kspei.com> 1.14-1
- Update to 1.14.

* Fri Jul 13 2007 Steven Pritchard <steve@kspei.com> 1.13-1
- Update to 1.13.

* Fri Jun 08 2007 Steven Pritchard <steve@kspei.com> 1.12-1
- Update to 1.12.

* Mon May 28 2007 Steven Pritchard <steve@kspei.com> 1.09-1
- Update to 1.09.

* Sat May 19 2007 Steven Pritchard <steve@kspei.com> 1.08-1
- Update to 1.08.
- Update description.

* Tue Mar 13 2007 Steven Pritchard <steve@kspei.com> 1.04-1
- Specfile autogenerated by cpanspec 1.70.
- Drop redundant perl build dependency.
- BR YAML, YAML::Syck, and Test::Pod for better test coverage.
